VM Installation schlägt fehl

Discussion in 'Proxmox VE (Deutsch)' started by christian1432, May 8, 2019.

  1. christian1432

    christian1432 Member

    Joined:
    Aug 15, 2016
    Messages:
    34
    Likes Received:
    0
    Hallo,

    wenn ich eine VM anlege, kann der Server nicht gestartet werden.
    Im Hinweis des Servers steht folgendes:

    Result verification failed (400)
    lock: value 'create' does not have a value in the enumeration 'backup, disk, migrate, mounted, rollback, snapshot, snapshot-delete'

    Leider kann ich mit dieser Fehlermeldung nichts anfangen.
    Weiß jemand weiter?

    Danke.
     
  2. Stoiko Ivanov

    Stoiko Ivanov Proxmox Staff Member
    Staff Member

    Joined:
    May 2, 2018
    Messages:
    1,198
    Likes Received:
    102
    bitte das output von `pveversion -v` posten.
    Da gab es vor längerem einen Bug, der allerdings schon behoben ist.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  3. christian1432

    christian1432 Member

    Joined:
    Aug 15, 2016
    Messages:
    34
    Likes Received:
    0
    proxmox-ve: 5.4-1 (running kernel: 4.15.18-11-pve)
    pve-manager: 5.4-5 (running version: 5.4-5/c6fdb264)
    pve-kernel-4.15: 5.4-1
    pve-kernel-4.15.18-13-pve: 4.15.18-37
    pve-kernel-4.15.18-12-pve: 4.15.18-36
    pve-kernel-4.15.18-11-pve: 4.15.18-34
    pve-kernel-4.15.18-10-pve: 4.15.18-32
    pve-kernel-4.13.13-2-pve: 4.13.13-33
    pve-kernel-4.10.17-1-pve: 4.10.17-18
    corosync: 2.4.4-pve1
    criu: 2.11.1-1~bpo90
    glusterfs-client: 3.8.8-1
    ksm-control-daemon: 1.2-2
    libjs-extjs: 6.0.1-2
    libpve-access-control: 5.1-8
    libpve-apiclient-perl: 2.0-5
    libpve-common-perl: 5.0-51
    libpve-guest-common-perl: 2.0-20
    libpve-http-server-perl: 2.0-13
    libpve-storage-perl: 5.0-41
    libqb0: 1.0.3-1~bpo9
    lvm2: 2.02.168-pve6
    lxc-pve: 3.1.0-3
    lxcfs: 3.0.3-pve1
    novnc-pve: 1.0.0-3
    proxmox-widget-toolkit: 1.0-26
    pve-cluster: 5.0-36
    pve-container: 2.0-37
    pve-docs: 5.4-2
    pve-edk2-firmware: 1.20190312-1
    pve-firewall: 3.0-20
    pve-firmware: 2.0-6
    pve-ha-manager: 2.0-9
    pve-i18n: 1.1-4
    pve-libspice-server1: 0.14.1-2
    pve-qemu-kvm: 2.12.1-3
    pve-xtermjs: 3.12.0-1
    qemu-server: 5.0-50
    smartmontools: 6.5+svn4324-1
    spiceterm: 3.0-5
    vncterm: 1.5-3
    zfsutils-linux: 0.7.13-pve1~bpo2
     
  4. Stoiko Ivanov

    Stoiko Ivanov Proxmox Staff Member
    Staff Member

    Joined:
    May 2, 2018
    Messages:
    1,198
    Likes Received:
    102
    Ich nehme an es handelt sich bei dem guest um einen container?
    das ist ein bug in pve-container <= 2.0-37 - der fix ist schon gemerged aber noch nicht paketiert.

    Normalerweise sollte der container, wenn alles gut gegangen ist und das lock weggenommen wird ganz normal funktionieren (das Problem sollte nur ein kosmetisches sein)

    Funktioniert der container?
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  5. christian1432

    christian1432 Member

    Joined:
    Aug 15, 2016
    Messages:
    34
    Likes Received:
    0
    Leider nicht, da kommt folgender Fehler:
    TASK ERROR: missing 'arch' - internal error at /usr/share/perl5/PVE/LXC.pm line 533.

    Installiert wurde der Server mit folgendem Befehl:

    pvesh create /nodes/host01/lxc -vmid 999 -hostname testtest -storage local \
    -password testpasswort \
    -ostemplate local:vztmpl/debian-9.0-x86_64-standard.tar.gz \
    -memory 1024 -rootfs 30 -cores 1 -cpulimit 1 -description testtest \
    -net0 name=eth0,hwaddr=*****,ip=*****/24,gw=*****,bridge=vmbr0
     
  6. Stoiko Ivanov

    Stoiko Ivanov Proxmox Staff Member
    Staff Member

    Joined:
    May 2, 2018
    Messages:
    1,198
    Likes Received:
    102
    * bitte mal die config des containers posten '/etc/pve/lxc/999.conf'
    * der template-name sieht ungewohnt aus - woher kommt denn das ostemplate?
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  7. JoeB

    JoeB New Member

    Joined:
    May 7, 2019
    Messages:
    11
    Likes Received:
    3
    Ich habe bedenken, dass das template geeignet ist:
    x86 deutet auf 32 bit Version hin -> hier wäre wohl die 64 bit Version besser, (amd64)

    auf http://download.proxmox.com/images/system/ sind aktuelle Templates verfügbar.
    Vielleicht einfach mal von dort das gewünschte template laden.
     
  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice